import rospy
from geometry_msgs.msg import Twist
from geometry_msgs.msg import Point
from nav_msgs.msg import Odometry

GRIPPER_ARM_UP_ANGLE = -2.3562
GRIPPER_ARM_DOWN_ANGLE = -1.5708

GRIPPER_OPEN_ANGLE = 0
GRIPPER_CLOSED_ANGLE = -1.4

position = Point(0, 0, 0)

def odom_callback(data):
    global position
    position = data.pose.pose.position
    print(position)

if __name__=="__main__":

    rospy.init_node('grab_cups')
    vel_publisher = rospy.Publisher('cmd_vel', Twist, queue_size=10)
    odom_subscriber = rospy.Subscriber('odom', Odometry, odom_callback)

    gripper_arm_cmd_publisher = rospy.Publisher('body_grippers_rotative_joint_controller/command', Float64, queue_size=10)
    grippers_cmd_publisher = [rospy.Publisher('gripper%d_joint_controller/command' % (i + 1), Float64, queue_size=10) for i in range(5)]

    rospy.spin()
